Package: grails.converters.deep

## [Java] Class XML

- grails.converters.deep.XML

- A converter that converts domain classes to XML (including nested Domain Classes)

  deprecated:
    The Converters framework has been refactored and this made the deep Converters obsolete
  Authors:
    Siegfried Puchbauer

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CONFIGURATION_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class XML` | `log`
    `class AbstractConverter` | `contentType, encoding, excludes, includes`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected ConverterConfiguration<XML>` | `initConfig()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class XML` | `attribute, build, chars, convertAnother, createNamedConfig, end, getDepth, getElementName, getNamedConfig, getStream, getWriter, handleCircularRelationship, initConfig, lookupObjectMarshaller, parse, parse, parse, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, render, render, setExcludes, setIncludes, setTarget, startNode, toString, use, use, withDefaultConfiguration`
    `class AbstractConverter` | `createBeanWrapper, getExcludes, getIncludes, setContentType, setEncoding, setExcludes, setIncludes, setTarget, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String CONFIGURATION_NAME

  - ### Method Detail

    - #### @java.lang.Override protected ConverterConfiguration<XML> initConfig()